/* $Id: startup-lsb.h,v 1.1 2005/06/26 01:58:58 short Exp $
 * Include file for UDP Gateway utility startup_lsb scripts inheritance support
 * Copyright (C) 2004 Jan Kratochvil <project-udpgate@jankratochvil.net>
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; exactly version 2 of June 1991 is required
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


#ifndef _UDPGATE_STARTUP_LSB_H
#define _UDPGATE_STARTUP_LSB_H 1


#include <glib/gtypes.h>
#include <glib-object.h>
#include "startup.h"


G_BEGIN_DECLS

#define UDPGATE_TYPE_STARTUP_LSB (udpgate_startup_lsb_get_type())
#define UDPGATE_STARTUP_LSB(obj) (G_TYPE_CHECK_INSTANCE_CAST((obj),UDPGATE_TYPE_STARTUP_LSB,UdpgateStartupLsb))
#define UDPGATE_STARTUP_LSB_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST((klass),UDPGATE_TYPE_STARTUP_LSB,UdpgateStartupLsbClass))
#define UDPGATE_IS_STARTUP_LSB(obj) (G_TYPE_CHECK_INSTANCE_TYPE((obj),UDPGATE_TYPE_STARTUP_LSB))
#define UDPGATE_IS_STARTUP_LSB_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass),UDPGATE_TYPE_STARTUP_LSB))
#define UDPGATE_STARTUP_LSB_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS((obj),UDPGATE_TYPE_STARTUP_LSB,UdpgateStartupLsbClass))

typedef struct _UdpgateStartupLsb UdpgateStartupLsb;
typedef struct _UdpgateStartupLsbClass UdpgateStartupLsbClass;

struct _UdpgateStartupLsb
{
	UdpgateStartup parent_instance;
};

struct _UdpgateStartupLsbClass
{
	UdpgateStartupClass parent_class;
};

GType udpgate_startup_lsb_get_type(void) G_GNUC_CONST;
UdpgateStartupLsb *udpgate_startup_lsb_new(void);

G_END_DECLS


#endif /* _UDPGATE_STARTUP_LSB_H */
