/* $Id: pathname.h,v 1.1 2005/06/26 04:42:42 short Exp $
 * Include file for the persistent configuration pathname detection
 * Copyright (C) 2005 Jan Kratochvil <project-udpgate@jankratochvil.net>
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; exactly version 2 of June 1991 is required
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


#ifndef _UDPGATE_PATHNAME_H
#define _UDPGATE_PATHNAME_H 1


#include <glib/gtypes.h>


G_BEGIN_DECLS

G_CONST_RETURN gchar *vpathname_find(const gchar **static_pathname_pointer,va_list ap);
G_CONST_RETURN gchar *pathname_find(const gchar **static_pathname_pointer,...);

G_END_DECLS


#endif /* _UDPGATE_PATHNAME_H */
