/* $Id: ui-line.c,v 1.4 2004/06/05 20:19:53 short Exp $
 * Commandline user interface
 * Copyright (C) 2004 Jan Kratochvil <project-udpgate@jankratochvil.net>
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; exactly version 2 of June 1991 is required
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


#include "config.h"

#include "ui-line.h"	/* self */
#include <glib/gmessages.h>

#include "main.h"


static void ui_line_interactive(void)
{
	g_error(_(
"No X Window System accessible and no action was specified.\n"
"Use one of --start or --stop command-line argument, see also --help"
));
	/* NOTREACHED */
}

gboolean ui_line_init(void)
{
	ui_interactive=ui_line_interactive;
	return TRUE;
}
